net.minecraft.world.chunk.storage

## Class RegionFileCache

- java.lang.Object
- - net.minecraft.world.chunk.storage.RegionFileCache

-     public class RegionFileCache
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RegionFileCache()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `clearRegionFileReferences()` Saves the current Chunk Map Cache
    `static RegionFile` | `createOrLoadRegionFile(File par0File, int par1, int par2)`
    `static DataInputStream` | `getChunkInputStream(File par0File, int par1, int par2)` Returns an input stream for the specified chunk.
    `static DataOutputStream` | `getChunkOutputStream(File par0File, int par1, int par2)` Returns an output stream for the specified chunk.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RegionFileCache

          public RegionFileCache()

  - ### Method Detail

    - #### createOrLoadRegionFile

          public static RegionFile createOrLoadRegionFile(File par0File,
                                          int par1,
                                          int par2)

    - #### clearRegionFileReferences

          public static void clearRegionFileReferences()

      Saves the current Chunk Map Cache

    - #### getChunkInputStream

          public static DataInputStream getChunkInputStream(File par0File,
                                            int par1,
                                            int par2)

      Returns an input stream for the specified chunk. Args: worldDir, chunkX, chunkZ

    - #### getChunkOutputStream

          public static DataOutputStream getChunkOutputStream(File par0File,
                                              int par1,
                                              int par2)

      Returns an output stream for the specified chunk. Args: worldDir, chunkX, chunkZ